Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.trolltech.qt.core
Class Qt.WhiteSpaceMode

    java.lang.Object
      java.lang.Enum
          com.trolltech.qt.core.Qt.WhiteSpaceMode

All Implemented Interfaces:
  QtEnumerator, java.io.Serializable, java.lang.Comparable

Enclosing interface:
  Qt

    public static final class Qt.WhiteSpaceMode

extends java.lang.Enum
implements QtEnumerator

See Also:
  Serialized Form

Field Summary
`static Qt.WhiteSpaceMode` | `WhiteSpaceModeUndefined`
`static Qt.WhiteSpaceMode` | `WhiteSpaceNormal`
`static Qt.WhiteSpaceMode` | `WhiteSpaceNoWrap`
`static Qt.WhiteSpaceMode` | `WhiteSpacePre`

Method Summary
`static Qt.WhiteSpaceMode` | `resolve(int value)` Returns the WhiteSpaceMode constant with the specified `int`.
`int` | `value()` This function should return an integer value for the enum values of the enumeration that implements this interface.
`static Qt.WhiteSpaceMode` | `valueOf(java.lang.String name)`
`static Qt.WhiteSpaceMode[]` | `values()`

Methods inherited from class java.lang.Enum
`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, wait, wait, wait`

Field Detail

### WhiteSpaceNormal

    public static final Qt.WhiteSpaceMode WhiteSpaceNormal

### WhiteSpacePre

    public static final Qt.WhiteSpaceMode WhiteSpacePre

### WhiteSpaceNoWrap

    public static final Qt.WhiteSpaceMode WhiteSpaceNoWrap

### WhiteSpaceModeUndefined

    public static final Qt.WhiteSpaceMode WhiteSpaceModeUndefined

Method Detail

### values

    public static Qt.WhiteSpaceMode[] values()

### valueOf

    public static Qt.WhiteSpaceMode valueOf(java.lang.String name)

### value

    public int value()

  This function should return an integer value for the enum values of the enumeration that implements this interface.

  Specified by:
    `value` in interface `QtEnumerator`

### resolve

    public static Qt.WhiteSpaceMode resolve(int value)

  Returns the WhiteSpaceMode constant with the specified `int`.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD